corda / net.corda.client.model / ProgressTrackingEvent

# ProgressTrackingEvent

`data class ProgressTrackingEvent`

### Constructors

<init> | `ProgressTrackingEvent(stateMachineId: StateMachineRunId, message: String)`

### Properties

message | `val message: String`
stateMachineId | `val stateMachineId: StateMachineRunId`

### Companion Object Functions

createStreamFromStateMachineInfo | `fun createStreamFromStateMachineInfo(stateMachine: StateMachineInfo): Observable<ProgressTrackingEvent>?`